Bug 213432 - Review Request: kaffeine - Xine-based media player
Review Request: kaffeine - Xine-based media player
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-01 09:35 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 23:09:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-11-01 09:35:40 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kaffeine.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kaffeine-0.8.2-2.src.rpm
Description:
Kaffeine is a xine-based media player for KDE.  It plays back CDs,
and VCDs.  It also decodes multimedia files (like AVI, MOV, WMV)
from local disk drives, and displays multimedia streamed over
the Internet.  It interprets many of the most common multimedia
formats available - and some of the most uncommon formats, too.
Additionally, Kaffeine is fully integrated in KDE, it supports drag
and drop and provides an editable playlist, a bookmark system, a
Konqueror plugin, OSD and much more.
Comment 1 Rex Dieter 2006-11-01 14:16:41 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kaffeine.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kaffeine-0.8.2-3.src.rpm

%changelog
* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-3
- update %%description to not mention any specific mm containers
  (like AVI, WMV).

Description:
Kaffeine is a xine-based media player for KDE.  It plays back CDs,
and VCDs, and can decode all (local or streamed) multimedia formats
supported by xine-lib.
Additionally, Kaffeine is fully integrated in KDE, it supports drag
and drop and provides an editable playlist, a bookmark system, a
Konqueror plugin, OSD and much more.
Comment 2 Parag AN(पराग) 2006-11-02 01:30:50 EST
rpmlint is not silent on SRPM
W: kaffeine mixed-use-of-spaces-and-tabs (spaces: line 25, tab: line 16)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

W: kaffeine patch-not-applied Patch1: kaffeine-0.8.2-codecs.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.

rpmlint is not silent on RPM
E: kaffeine script-without-shebang /usr/share/doc/kaffeine-0.8.2/ChangeLog
This text file has executable bits set or is located in a path dedicated
for executables, but lacks a shebang and cannot thus be executed.  If the file
is meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

E: kaffeine script-without-shebang /usr/share/doc/kaffeine-0.8.2/TODO
This text file has executable bits set or is located in a path dedicated
for executables, but lacks a shebang and cannot thus be executed.  If the file
is meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

W: kaffeine dangling-symlink /usr/share/doc/HTML/en/kaffeine/common
/usr/share/doc/HTML/en/common
The symbolic link points nowhere.

W: kaffeine symlink-should-be-relative /usr/share/doc/HTML/en/kaffeine/common
/usr/share/doc/HTML/en/common
Absolute symlinks are problematic eg. when working with chroot environments.

E: kaffeine script-without-shebang /usr/share/doc/kaffeine-0.8.2/AUTHORS
This text file has executable bits set or is located in a path dedicated
for executables, but lacks a shebang and cannot thus be executed.  If the file
is meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

/tmp/kaffeine-0.8.2-3.i386.rpm.26889/usr/share/applications/kde/kaffeine.desktop:
warning: file contains key "DocPath", this key is currently reserved for use 
within KDE, and should in the future KDE releases be prefixed by "X-"

Solve these errors and resubmit new package. I hope all rpmlint warnings and
errros are self explanatory here.
Comment 3 Rex Dieter 2006-11-02 08:39:53 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kaffeine.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kaffeine-0.8.2-3.src.rpm

%changelog
* Thu Nov 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-4
- chmod -x AUTHORS ChangeLog TODO
- use rel symlinks under %%_docdir

All the other rpmlint verbosity is harmless.
Comment 4 Parag AN(पराग) 2006-11-03 00:59:36 EST
you gave old package link.
Also new package is not building under mock
you need to change chmod line in SPEC as chmod is not able to find all those
files that need to be chmod

chmod -x %{_builddir}/%{name}-%{version}/AUTHORS \ 
%{_builddir}/%{name}-%{version}/Changelog  \
%{_builddir}/%{name}-%{version}/INSTALL \
%{_builddir}/%{name}-%{version}/TODO

Comment 5 Parag AN(पराग) 2006-11-03 02:30:36 EST
I will like to review this package.
Update package by solving mockbuild error.
Comment 6 Rex Dieter 2006-11-03 07:48:28 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kaffeine.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kaffeine-0.8.2-5.src.rpm

%changelog
* Fri Nov 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-5
- fix chmod so it actually works.
Comment 7 Chitlesh GOORAH 2006-11-03 08:01:20 EST
I'll do the review.
Comment 8 Chitlesh GOORAH 2006-11-04 06:14:13 EST
#001
Isn't it time to merge drop "%{?fedora}" > "2" ?

%if "%{?fedora}" > "2" || "%{?rhel}" > "4"
%define _with_gstreamer --with-gstreamer
%endif

I recommend to merge it with %if "%{?fedora}" > "4" || "%{?rhel}" > "4"

#002
desktop-file-install \
  --vendor="" \

use fedora as vendor :)
desktop-file-install --vendor fedora \

#003
README*
There is one README file to me.

#004
BuildRequires: cdparanoia-devel cdparanoia
cdparanoia-devel already requires cdparanoia

correct these,  I'll approve it as quick as possible

#005:
can you contact upstream to update their download page
http://kaffeine.sourceforge.net/index.php?page=download with respect to fedora.
I just want people to have a good fedora KDE image :)

Comment 9 Michel Alexandre Salim 2006-11-04 11:43:21 EST
Chitlesh, remember to move the bug to the FE-REVIEW tracker
Comment 10 Rex Dieter 2006-11-04 11:49:13 EST
> #002
> desktop-file-install \
>  --vendor="" \
> use fedora as vendor :)
> desktop-file-install --vendor fedora \

The packaging guidelines were recently changed to not override upstream vendor
(kde in this case).
Comment 11 Rex Dieter 2006-11-04 11:53:22 EST
> #004
> BuildRequires: cdparanoia-devel cdparanoia
> cdparanoia-devel already requires cdparanoia

Check again. (:  Last I checked, cdparanoia-devel only Req'd cdparanoia-libs.
Comment 12 Rex Dieter 2006-11-04 11:55:10 EST
> #001
> Isn't it time to merge drop "%{?fedora}" > "2" ?

I could, buy why?  It's not wrong.  changing to fedora > 4 isn't as correct and
misleads one to think that only 4+ is supported.
Comment 13 Chitlesh GOORAH 2006-11-04 11:59:24 EST
> Check again. (:  Last I checked, cdparanoia-devel only Req'd cdparanoia-libs.

Ok, you are right about it

> I could, buy why?  It's not wrong.  changing to fedora > 4 isn't as correct and
misleads one to think that only 4+ is supported.

Is kaffeine intended to be for fc4 and below ?
Comment 14 Rex Dieter 2006-11-06 09:40:36 EST
> Is kaffeine intended to be for fc4 and below ?

No, but it could be.  Seriously, is this a blocker for you?
Comment 15 Chitlesh GOORAH 2006-11-06 12:01:55 EST
Hello, cool down buddy!
No, it isn't a blocker for me, but I just want to document myself.

MUST Items:

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: The package does not contain library files with a suffix 
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED!
Comment 16 Rex Dieter 2006-11-06 13:16:59 EST
Thanks (didn't mean to come off as anything but appreciative for the review).
Comment 17 Rex Dieter 2006-11-13 23:09:50 EST
importing...

Note You need to log in before you can comment on or make changes to this bug.